package model

import (
	"gorm.io/gorm"
)

type FsCanteenProduct struct {
	Id          int64   `gorm:"primary_key" json:"id"` // ID
	CanteenType *int64  `gorm:"-" json:"canteen_type"` // 餐厅类别id
	ProductId   *int64  `gorm:"-" json:"product_id"`   // 产品id
	SizeId      *int64  `gorm:"-" json:"size_id"`      // 尺寸id
	Sort        *int64  `gorm:"-" json:"sort"`         // 排序
	Status      *int64  `gorm:"-" json:"status"`       // 状态位 1启用0停用
	Ctime       *int64  `gorm:"-" json:"ctime"`        // 添加时间
	Sid         *string `gorm:"-" json:"sid"`          // 前端带入的id
}
type FsCanteenProductModel struct{ db *gorm.DB }

func NewFsCanteenProductModel(db *gorm.DB) *FsCanteenProductModel { return &FsCanteenProductModel{db} }
